Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.executor.impl
Class ExecutorServiceImpl

    java.lang.Object
      org.jbpm.executor.impl.ExecutorServiceImpl

All Implemented Interfaces:
  RequeueAware, org.kie.internal.executor.api.ExecutorService

    public class ExecutorServiceImpl

extends Object
implements org.kie.internal.executor.api.ExecutorService, RequeueAware

Entry point of the executor component. Application should always talk via this service to ensure all internals are properly initialized

Field Summary

Fields inherited from interface org.kie.internal.executor.api.ExecutorService
`EXECUTOR_ID`

Constructor Summary
`ExecutorServiceImpl(org.kie.internal.executor.api.Executor executor)`

Method Summary
`void` | `cancelRequest(Long requestId)`
`int` | `clearAllErrors()`
`int` | `clearAllRequests()`
`void` | `destroy()`
`org.kie.internal.executor.api.ExecutorAdminService` | `getAdminService()`
`List<org.kie.internal.executor.api.ErrorInfo>` | `getAllErrors()`
`List<org.kie.internal.executor.api.RequestInfo>` | `getAllRequests()`
`List<org.kie.internal.executor.api.RequestInfo>` | `getCancelledRequests()`
`List<org.kie.internal.executor.api.RequestInfo>` | `getCompletedRequests()`
`List<org.kie.internal.executor.api.ErrorInfo>` | `getErrorsByRequestId(Long requestId)`
`org.kie.internal.executor.api.Executor` | `getExecutor()`
`List<org.kie.internal.executor.api.RequestInfo>` | `getFutureQueuedRequests()`
`List<org.kie.internal.executor.api.RequestInfo>` | `getInErrorRequests()`
`int` | `getInterval()`
`List<org.kie.internal.executor.api.RequestInfo>` | `getPendingRequestById(Long id)`
`List<org.kie.internal.executor.api.RequestInfo>` | `getPendingRequests()`
`org.kie.internal.executor.api.ExecutorQueryService` | `getQueryService()`
`List<org.kie.internal.executor.api.RequestInfo>` | `getQueuedRequests()`
`org.kie.internal.executor.api.RequestInfo` | `getRequestById(Long requestId)`
`List<org.kie.internal.executor.api.RequestInfo>` | `getRequestsByBusinessKey(String businessKey)`
`List<org.kie.internal.executor.api.RequestInfo>` | `getRequestsByStatus(List<org.kie.internal.executor.api.STATUS> statuses)`
`int` | `getRetries()`
`List<org.kie.internal.executor.api.RequestInfo>` | `getRunningRequests()`
`int` | `getThreadPoolSize()`
`TimeUnit` | `getTimeunit()`
`void` | `init()`
`boolean` | `isActive()`
`void` | `requeue(Long olderThan)` Moves `RequestInfo` instances that are in running state longer than given amount of time (in milliseconds)
`void` | `requeueById(Long requestId)` Moves `RequestInfo` instance with given request id that are in running state
`Long` | `scheduleRequest(String commandName, org.kie.internal.executor.api.CommandContext ctx)`
`Long` | `scheduleRequest(String commandId, Date date, org.kie.internal.executor.api.CommandContext ctx)`
`void` | `setAdminService(org.kie.internal.executor.api.ExecutorAdminService adminService)`
`void` | `setExecutor(org.kie.internal.executor.api.Executor executor)`
`void` | `setInterval(int waitTime)`
`void` | `setQueryService(org.kie.internal.executor.api.ExecutorQueryService queryService)`
`void` | `setRetries(int defaultNroOfRetries)`
`void` | `setThreadPoolSize(int nroOfThreads)`
`void` | `setTimeunit(TimeUnit timeunit)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecutorServiceImpl

    public ExecutorServiceImpl(org.kie.internal.executor.api.Executor executor)

Method Detail

### getExecutor

    public org.kie.internal.executor.api.Executor getExecutor()

### setExecutor

    public void setExecutor(org.kie.internal.executor.api.Executor executor)

### getQueryService

    public org.kie.internal.executor.api.ExecutorQueryService getQueryService()

### setQueryService

    public void setQueryService(org.kie.internal.executor.api.ExecutorQueryService queryService)

### getAdminService

    public org.kie.internal.executor.api.ExecutorAdminService getAdminService()

### setAdminService

    public void setAdminService(org.kie.internal.executor.api.ExecutorAdminService adminService)

### getFutureQueuedRequests

    public List<org.kie.internal.executor.api.RequestInfo> getFutureQueuedRequests()

  Specified by:
    `getFutureQueuedRequests` in interface `org.kie.internal.executor.api.ExecutorService`

### getQueuedRequests

    public List<org.kie.internal.executor.api.RequestInfo> getQueuedRequests()

  Specified by:
    `getQueuedRequests` in interface `org.kie.internal.executor.api.ExecutorService`

### getCompletedRequests

    public List<org.kie.internal.executor.api.RequestInfo> getCompletedRequests()

  Specified by:
    `getCompletedRequests` in interface `org.kie.internal.executor.api.ExecutorService`

### getInErrorRequests

    public List<org.kie.internal.executor.api.RequestInfo> getInErrorRequests()

  Specified by:
    `getInErrorRequests` in interface `org.kie.internal.executor.api.ExecutorService`

### getCancelledRequests

    public List<org.kie.internal.executor.api.RequestInfo> getCancelledRequests()

  Specified by:
    `getCancelledRequests` in interface `org.kie.internal.executor.api.ExecutorService`

### getAllErrors

    public List<org.kie.internal.executor.api.ErrorInfo> getAllErrors()

  Specified by:
    `getAllErrors` in interface `org.kie.internal.executor.api.ExecutorService`

### getAllRequests

    public List<org.kie.internal.executor.api.RequestInfo> getAllRequests()

  Specified by:
    `getAllRequests` in interface `org.kie.internal.executor.api.ExecutorService`

### getRequestsByStatus

    public List<org.kie.internal.executor.api.RequestInfo> getRequestsByStatus(List<org.kie.internal.executor.api.STATUS> statuses)

  Specified by:
    `getRequestsByStatus` in interface `org.kie.internal.executor.api.ExecutorService`

### clearAllRequests

    public int clearAllRequests()

  Specified by:
    `clearAllRequests` in interface `org.kie.internal.executor.api.ExecutorService`

### clearAllErrors

    public int clearAllErrors()

  Specified by:
    `clearAllErrors` in interface `org.kie.internal.executor.api.ExecutorService`

### scheduleRequest

    public Long scheduleRequest(String commandName,
                                org.kie.internal.executor.api.CommandContext ctx)

  Specified by:
    `scheduleRequest` in interface `org.kie.internal.executor.api.ExecutorService`

### cancelRequest

    public void cancelRequest(Long requestId)

  Specified by:
    `cancelRequest` in interface `org.kie.internal.executor.api.ExecutorService`

### init

    public void init()

  Specified by:
    `init` in interface `org.kie.internal.executor.api.ExecutorService`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `org.kie.internal.executor.api.ExecutorService`

### isActive

    public boolean isActive()

  Specified by:
    `isActive` in interface `org.kie.internal.executor.api.ExecutorService`

### getInterval

    public int getInterval()

  Specified by:
    `getInterval` in interface `org.kie.internal.executor.api.ExecutorService`

### setInterval

    public void setInterval(int waitTime)

  Specified by:
    `setInterval` in interface `org.kie.internal.executor.api.ExecutorService`

### getRetries

    public int getRetries()

  Specified by:
    `getRetries` in interface `org.kie.internal.executor.api.ExecutorService`

### setRetries

    public void setRetries(int defaultNroOfRetries)

  Specified by:
    `setRetries` in interface `org.kie.internal.executor.api.ExecutorService`

### getThreadPoolSize

    public int getThreadPoolSize()

  Specified by:
    `getThreadPoolSize` in interface `org.kie.internal.executor.api.ExecutorService`

### setThreadPoolSize

    public void setThreadPoolSize(int nroOfThreads)

  Specified by:
    `setThreadPoolSize` in interface `org.kie.internal.executor.api.ExecutorService`

### getTimeunit

    public TimeUnit getTimeunit()

  Specified by:
    `getTimeunit` in interface `org.kie.internal.executor.api.ExecutorService`

### setTimeunit

    public void setTimeunit(TimeUnit timeunit)

  Specified by:
    `setTimeunit` in interface `org.kie.internal.executor.api.ExecutorService`

### getPendingRequests

    public List<org.kie.internal.executor.api.RequestInfo> getPendingRequests()

  Specified by:
    `getPendingRequests` in interface `org.kie.internal.executor.api.ExecutorService`

### getPendingRequestById

    public List<org.kie.internal.executor.api.RequestInfo> getPendingRequestById(Long id)

  Specified by:
    `getPendingRequestById` in interface `org.kie.internal.executor.api.ExecutorService`

### scheduleRequest

    public Long scheduleRequest(String commandId,
                                Date date,
                                org.kie.internal.executor.api.CommandContext ctx)

  Specified by:
    `scheduleRequest` in interface `org.kie.internal.executor.api.ExecutorService`

### getRunningRequests

    public List<org.kie.internal.executor.api.RequestInfo> getRunningRequests()

  Specified by:
    `getRunningRequests` in interface `org.kie.internal.executor.api.ExecutorService`

### getRequestById

    public org.kie.internal.executor.api.RequestInfo getRequestById(Long requestId)

  Specified by:
    `getRequestById` in interface `org.kie.internal.executor.api.ExecutorService`

### getErrorsByRequestId

    public List<org.kie.internal.executor.api.ErrorInfo> getErrorsByRequestId(Long requestId)

  Specified by:
    `getErrorsByRequestId` in interface `org.kie.internal.executor.api.ExecutorService`

### getRequestsByBusinessKey

    public List<org.kie.internal.executor.api.RequestInfo> getRequestsByBusinessKey(String businessKey)

  Specified by:
    `getRequestsByBusinessKey` in interface `org.kie.internal.executor.api.ExecutorService`

### requeue

    public void requeue(Long olderThan)

  Description copied from interface: `RequeueAware`
  Moves `RequestInfo` instances that are in running state longer than given amount of time (in milliseconds)

  Specified by:
    `requeue` in interface `RequeueAware`
  Parameters:
    `olderThan` - amount of time in milliseconds from current time stamp

### requeueById

    public void requeueById(Long requestId)

  Description copied from interface: `RequeueAware`
  Moves `RequestInfo` instance with given request id that are in running state

  Specified by:
    `requeueById` in interface `RequeueAware`
  Parameters:
    `requestId` - request unique identifier

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.